### Function

# GLibUnix get_passwd_entry

since: 2.64

#### Declaration [src]

    passwd*
    g_unix_get_passwd_entry (
      const gchar* user_name,
      GError** error
    )

#### Description [src]

Get the `passwd` file entry for the given `user_name` using `getpwnam_r()`. This can fail if the given `user_name` doesn’t exist.

The returned `struct passwd` has been allocated using `g_malloc()` and should be freed using g_free(). The strings referenced by the returned struct are included in the same allocation, so are valid until the `struct passwd` is freed.

This function is safe to call from multiple threads concurrently.

You will need to include `pwd.h` to get the definition of `struct passwd`.

Available since: 2.64

#### Parameters

`user_name`

  Type: `const gchar*`

  The username to get the passwd file entry for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `passwd*`

Passwd entry, or `NULL` on error; free the returned value with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.